PDA

View Full Version : How to install mod_security for Apache



top19site
06-01-2009, 07:08 AM
This guide will show you how to install and configure mod_security, the intrusion detection and prevention engine for Apache web server.


http://www.webhostgear.com/62.html

Cheers

John

RH1
06-01-2009, 12:33 PM
that is pretty much obsolete though - a few years old. Cpanel pretty much now supports this internally and through easyapache

Robdale
06-01-2009, 06:08 PM
That was a nice method, but there are many other simple ways to install and configure mod_security for apache

solution
06-05-2009, 04:33 AM
nice article!

HosTechS
01-15-2010, 03:03 AM
Hello,

Thanks for sharing ...

Though old, it is helpful for those who work without control panels.

Mod_security is a important feature to solve all kind un authenticated access with the webserver.

Thank you.
Regards,

HostEase
01-15-2010, 03:51 AM
It's a little old,now Cpanel supports it internally.

~ServerPoint~
01-15-2010, 05:33 AM
I believe that can be useful for the ones who do not use Cpanel or use another control panel

brainpulse
09-23-2010, 03:08 AM
ModSecurity is an open source intrusion detection and prevention engine for web applications. It operates embedded into the web server, acting as a powerful umbrella - shielding applications from attacks. ModSecurity supports both branches of the Apache web server.

you can read here (http://www.crucialp.com/resources/tutorials/secure-server-securing/how-to-install-mod_security-for-apache.php), very simple wording and strong guide, hope you like this.....

jamsen
01-13-2013, 07:53 AM
ModSecurity is an opensource web application firewall. It is an Apache module that helps to provides protection from a range of attacks against web applications and allows for HTTP traffic monitoring and real-time analysis with no changes to existing hardware infrastructure. The main engine of this application use regular expressions and set of rules to detect and block common web exploits.
High percentage of all web attacks happens in web application level, for example if you install a opensource application (like Phpnuke,phpbb, joomla &...) anytime soon might hackers find new vulnerability in that specific CMS and if you don't update your CMS on time your site might become victim of these hackers.By using Mod_Security it's possible to detect and block most of these common security attacks.